Subject: Re: bug#29785: [PATCH] Implement separate eww history

From: Robert Pluim <[email-masked]>
Date: Wed, 20 Dec 2017 17:36:58 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Date: Wed, 20 Dec 2017 12:56:53 +0100
>> 
>> +@vindex eww-separate-history
>> +@cindex eww
>> +  If you want to keep the history of URI's you've opened separate from
>> +the default minibuffer history, set @code{eww-separate-history} to
>> +@code{t}
>
> Why should EWW usurp the history of URLs?

The patch does not change the existing history support of browse-url,
so 'usurp' feels harsh.

> If we are going to provide
> a history of URLs, it should be common to EWW and browse-url at least,
> I think, and perhaps other commands that prompt for URL, if there are
> such commands.

I could make the argument that URLs visited via browse-url are
passed to an external browser, so it's not up to Emacs to remember
that history, unlike ones visited internally using EWW.

>> ++++
>> +*** The new user variable 'eww-separate-history' causes eww to use a
>> +separate minibuffer history if non-nil
>
> Period at the end of a sentence, and also EWW should be capitalized, I
> think.
>
> Btw, I see lately some kind of tendency to write long multi-line
> sentences at the beginning of NEWS entries.  This is the opposite of
> what we should try doing: NEWS is visited in Outline mode, so we
> should facilitate that by having short headers, to allow users hide
> the text of the entry.

There appears to be quite a mix of those two styles in NEWS. I'll see
what I can do to cut down the initial sentence.

Robert